Introduction

FileRestore

Copyright © 2001
Winternals Software LP
www.winternals.com

FileRestore recovers deleted files from your FAT, FAT32 and NTFS volumes. FileRestore recovers files that have emptied from your Recycle Bin, as well as files that may have bypassed the Recycle Bin because they were deleted via the Command Prompt, lost with a removed directory, deleted by a networked application or an uninstall process, etc.

Requirements

FileRestore runs on Windows 95/98/Me and Windows NT 4.0/2000/XP. FileRestore recovers files from local drives, including Jaz®, Zip®, and floppy drives. In order to recover files from a network drive the application must be run on the file server. Because FileRestore provides access to all deleted files on a system, regardless of which user they originally belonged to, you must have Administrator privilege in order to run it.

Licensing

FileRestore is licensed by seat. One license permits the user to install and run the software on one machine. For additional information on licensing see the license agreement included with the software or contact sales@winternals.com.


Installation

Emergency Installation

FileRestore works best if installed on your system before valuable files have been deleted. This reduces the possibility that the data will be overwritten during the installation process. However, if you have purchased FileRestore after your files were deleted it is recommended that you-

  • To the extent possible stop all disk activity on your system without shutting the system down. Turn off any scheduled defragmentation and do not defrag your system until all lost files are recovered. Close all applications including email and Web browsing software and, if removable media such as a floppy disk drive is available on your system, disconnect your system from the network as soon as is practical.

  • Download and install FileRestore on a second system having the same type of removable media drive as your system (preferred), or a network connection and a shared folder with the appropriate file permissions for your system. Copy the license key text file that you received from Winternals, along with the file FileRestore.exe from the FileRestore installation directory, to the removable media or the shared network folder.

  • Run FileRestore.exe on your target system from the removable media or the shared folder, browsing for your license key information when prompted to do so.

  • To reduce the chances of valuable data being overwritten, whenever possible you should restore files to a drive or separate partition that is not likely to contain other files that you may wish to recover. Consider recovering as many files as possible to a removable media drive such as a floppy or Zip® drive if one is available that has a large enough capacity for any of your files.

  • After you have recovered all lost files on your system, you should promptly move the FileRestore Setup file and license text file from the second system to your system, perform a full FileRestore installation on your system, and uninstall FileRestore from the second system so that you comply with the single-user license agreement.

For further assistance contact support@winternals.com.


License Information

You must have a valid license key issued by Winternals Software LP in order to run FileRestore. Your license key will be requested the first time you run FileRestore on your system.

Paste your license key into the text box, or use the Browse button to locate and open the file containing the information.


Using FileRestore

FileRestore looks and behaves like the file search feature built into Windows, except that instead of searching for regular files it searches for deleted files. To locate all deleted files on a selected drive press the Search Now button or select Search Now from the File menu without entering any search parameters. You can narrow the search in several ways -

  • To see only those files with names that meet your specifications, enter the criteria in Search for files named:. Note that FileRestore supports multiple uses of the wildcard characters (‘*’) and (‘?’) in the search parameters.

  • To search on any of multiple file name criteria, separate the criteria by a space (‘ ’), comma (‘,’), or semicolon (‘;’). For example, to find various types of text files you might enter the criteria “*.txt;*.csv;*.tab;*.asc”.

  • To include files in the search that may have been part of deleted directories check Search for files in deleted directories.

  • You may also narrow the search by specifying a date range in Last modified or a size range in Size between.

After you specify any search parameters and the search location press the Search Now button.

  • You can sort your search results by clicking on the appropriate column heading. For example, to order files by size click on the Size heading; to group files by type click on the Type heading.

  • To save a summary of your search results press the Copy file list to Clipboard button and paste the Clipboard contents into a document or spreadsheet.

Notes

  • FileRestore attempts to determine whether each deleted file is recoverable and reports the result in the Recoverability column. If a file is marked Likely it means that none of the file's data is known to be overwritten by other files. However, this is only an estimate of the file’s condition, and it is possible that even a file marked Likely will contain corrupt data. In general the longer the time since a file has been deleted the less likely that it can be recovered.

  • When searching for files on FAT or FAT32 volumes the first letter of the file name cannot always be retrieved. For this reason FileRestore displays files that match all characters entered in Search for files named, as well as those matching all characters but the first. Whenever the first letter cannot be retrieved it is replaced by the question mark character (‘?’) when displayed and by an underscore (‘_’) when the file is copied to a new location.

  • If a file is found but it cannot be determined which directory it belongs to (usually because the parent directory is also deleted) then it is placed in a directory labeled “...Unknown Folder #...”. It is possible for there to be multiple orphan directories, each corresponding to a different directory that no longer exists.


FAQ

FileRestore FAQ

Why does FileRestore appear to scan the entire disk even though I specified to look in a particular directory?

FileRestore scans the entire directory structure to assure that every possible file will be located- even if the structure has changed since the deletion.

When searching FAT and FAT32 volumes why does FileRestore appear to give results that don't match the criteria entered under Search for files named:?

On FAT or FAT32 volumes the first letter of the file name cannot always be retrieved. For this reason FileRestore displays files that match all characters entered in Search for files named:, as well as those matching all but the first character.

What can I do if FileRestore doesn't find the file that I'm looking for?

If the file may be part of a deleted directory insure that Search for files in deleted directories is checked before your search.

How can I restore files from a formatted partition, a corrupted drive, or a system that fails to boot?

Try Disk Commander from Winternals Software.


Technical support

If you encounter a problem while running FileRestore, determine if the problem is reproducible, and if so how. Please have the following information available when you contact Winternals technical support:

  • The version of FileRestore you are running, including

  • Operating system on which you are running FileRestore.

  • The actions that lead to the problem.

  • Your FileRestore license number.

You can contact technical support by sending e-mail to support@winternals.com